WC = {}

-- 1-st layer

-- destination
WC['Destination'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanWingmenAll},
{combos = {{key = 'F2'}}, down = wsRepHumanWingmen1},
{combos = {{key = 'F3'}}, down = wsRepHumanWingmen2},
{combos = {{key = 'F4'}}, down = wsRepHumanWingmen3},
{combos = {{key = 'F5'}}, down = wsRepHumanAWACS},
{combos = {{key = 'F6'}}, down = wsRepHumanTower},
{combos = {{key = 'F7'}}, down = wsRepHumanMaintenance},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepNull},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort},
{combos = {{key = 'Esc'}}, down = wsRepHumanAbort},
}
}

-- destination helicopter
WC['DestinationHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanWingmenAll},
{combos = {{key = 'F2'}}, down = wsRepHumanWingmen1},
{combos = {{key = 'F3'}}, down = wsRepHumanWingmen2},
{combos = {{key = 'F4'}}, down = wsRepHumanWingmen3},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepHumanTower},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepHumanMaintenance},
{combos = {{key = 'F11'}}, down = wsRepNull},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort},
{combos = {{key = 'Esc'}}, down = wsRepHumanAbort},
}
}

-- 2-nd layer


-- commands to second wingman 
WC['Wingman'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanEngage},
{combos = {{key = 'F2'}}, down = wsRepHumanPincer},
{combos = {{key = 'F3'}}, down = wsRepHumanVectorTo},
{combos = {{key = 'F4'}}, down = wsRepHumanRadar},
{combos = {{key = 'F5'}}, down = wsRepHumanECM},
{combos = {{key = 'F6'}}, down = wsRepHumanSmoke},
{combos = {{key = 'F7'}}, down = wsRepHumanCoverMe},
{combos = {{key = 'F8'}}, down = wsRepHumanJettisonWeapons},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- commands to second wingman 
WC['WingmanHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanEngage},
{combos = {{key = 'F2'}}, down = wsRepHumanPincer},
{combos = {{key = 'F3'}}, down = wsRepHumanVectorTo},
{combos = {{key = 'F4'}}, down = wsRepHumanCoverMe},
{combos = {{key = 'F5'}}, down = wsRepHumanJettisonWeapons},
{combos = {{key = 'F6'}}, down = wsRepHumanReconnaissance},
{combos = {{key = 'F7'}}, down = wsRepHumanHold},
{combos = {{key = 'F8'}}, down = wsRepHumanRejoinFormation},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- commands to all flight
WC['Flight'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanEngage},
{combos = {{key = 'F2'}}, down = wsRepHumanPincer},
{combos = {{key = 'F3'}}, down = wsRepHumanVectorTo},
{combos = {{key = 'F4'}}, down = wsRepHumanRadar},
{combos = {{key = 'F5'}}, down = wsRepHumanECM},
{combos = {{key = 'F6'}}, down = wsRepHumanSmoke},
{combos = {{key = 'F7'}}, down = wsRepHumanCoverMe},
{combos = {{key = 'F8'}}, down = wsRepHumanJettisonWeapons},
{combos = {{key = 'F9'}}, down = wsRepHumanGoFormation},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- commands to all flight
WC['FlightHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanEngage},
{combos = {{key = 'F2'}}, down = wsRepHumanPincer},
{combos = {{key = 'F3'}}, down = wsRepHumanVectorTo},
{combos = {{key = 'F4'}}, down = wsRepHumanCoverMe},
{combos = {{key = 'F5'}}, down = wsRepHumanJettisonWeapons},
{combos = {{key = 'F6'}}, down = wsRepHumanGoFormation},
{combos = {{key = 'F7'}}, down = wsRepHumanRejoinFormation},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- AWACS commands
WC['AWACS'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanVectorToNearestBandit},
{combos = {{key = 'F2'}}, down = wsRepHumanVectorToHomeplate},
{combos = {{key = 'F3'}}, down = wsRepHumanVectorToTanker},
{combos = {{key = 'F4'}}, down = wsRepHumanDeclare},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- commands to tower
WC['Tower'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepRequestEnginesLaunch},
{combos = {{key = 'F2'}}, down = wsRepHumanRequestTaxiToRunway},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepHumanRequestTakeOff},
{combos = {{key = 'F5'}}, down = wsRepHumanInbound},
{combos = {{key = 'F6'}}, down = wsRepHumanRequestLanding},
{combos = {{key = 'F7'}}, down = wsRepHumanRequestAzimuth},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- reloading commands
WC['ReloadingHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanFerry},
{combos = {{key = 'F2'}}, down = wsRepHumanRemoteTarget},
{combos = {{key = 'F3'}}, down = wsRepHumanAntitankTask},
{combos = {{key = 'F4'}}, down = wsRepHumanFireSupport},
{combos = {{key = 'F5'}}, down = wsRepHumanLightLoad},
{combos = {{key = 'F6'}}, down = wsRepHumanDefaultLoad},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- replacement commands
WC['ReplacementHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_Setup_HMS},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_Setup_NVG},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- 3-rd layer

-- engage
WC['Engage'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanEngageMyTarget},
{combos = {{key = 'F2'}}, down = wsRepHumanMyEnemyAttack},
{combos = {{key = 'F3'}}, down = wsRepHumanEngageBandits},
{combos = {{key = 'F4'}}, down = wsRepHumanEngageAirDefenses},
{combos = {{key = 'F5'}}, down = wsRepHumanEngageGroundTargets},
{combos = {{key = 'F6'}}, down = wsRepHumanEngageNavalTargets},
{combos = {{key = 'F7'}}, down = wsRepHumanFulfilTheTaskAndJoinUp},
{combos = {{key = 'F8'}}, down = wsRepHumanFulfilTheTaskAndReturnToBase},
{combos = {{key = 'F9'}}, down = wsRepHumanEngageDatalinkTarget},
}
}

-- engage datalink target
WC['EngageDlinkTarget'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanEngageDlinkTarget},
{combos = {{key = 'F2'}}, down = wsRepHumanEngageDlinkTargets},
{combos = {{key = 'F3'}}, down = wsRepHumanEngageDlinkTargetByType},
{combos = {{key = 'F4'}}, down = wsRepHumanEngageDlinkTargetsByType},
}
}

-- fly left, right, up, down
WC['Pincer'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanPincerHigh},
{combos = {{key = 'F2'}}, down = wsRepHumanPincerLow},
{combos = {{key = 'F3'}}, down = wsRepHumanPincerRight},
{combos = {{key = 'F4'}}, down = wsRepHumanPincerLeft},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- vector to
WC['VectorTo'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanReturnToBase},
{combos = {{key = 'F2'}}, down = wsRepHumanGoRefueling},
{combos = {{key = 'F3'}}, down = wsRepHumanVectorToDirection},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- radar on off
WC['Radar'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanRadarOn},
{combos = {{key = 'F2'}}, down = wsRepHumanRadarOff},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- engine launch method
WC['PowerSourceSelectionHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_Use_Turbo_Gear},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_Regular_Launch},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort}
}
}

-- smoke on off
WC['Smoke'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanSmokeOn},
{combos = {{key = 'F2'}}, down = wsRepHumanSmokeOff},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- ECM on off
WC['ECM'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanDisturberOn},
{combos = {{key = 'F2'}}, down = wsRepHumanDisturberOff},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- go formation
WC['GoFormation'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanRejoinFormation},
{combos = {{key = 'F2'}}, down = wsRepHumanGoWall},
{combos = {{key = 'F3'}}, down = wsRepHumanGoTrail},
{combos = {{key = 'F4'}}, down = wsRepHumanGoCombatSpread},
{combos = {{key = 'F5'}}, down = wsRepHumanCloseFormation},
{combos = {{key = 'F6'}}, down = wsRepHumanOpenFormation},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- vector to (Hel)
WC['VectorToHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanReturnToBase},
{combos = {{key = 'F2'}}, down = wsRepHumanVectorToDirection},
{combos = {{key = 'F3'}}, down = wsRepHumanGoToPoint},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- fly left, right
WC['PincerHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanPincerLeft},
{combos = {{key = 'F2'}}, down = wsRepHumanPincerRight},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- go formation for helicopter
WC['GoFormationHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHelGoHeavy},
{combos = {{key = 'F2'}}, down = wsRepHumanHelGoCombatCruise},
{combos = {{key = 'F3'}}, down = wsRepHumanHelGoCombatSpread},
{combos = {{key = 'F4'}}, down = wsRepHumanHelGoTrail},
{combos = {{key = 'F5'}}, down = wsRepHumanHelGoOverwatch},
{combos = {{key = 'F6'}}, down = wsRepHumanHelGoLeft},
{combos = {{key = 'F7'}}, down = wsRepHumanHelGoRight},
{combos = {{key = 'F8'}}, down = wsRepHumanHelGoTight},
{combos = {{key = 'F9'}}, down = wsRepHumanHelGoCombat},
{combos = {{key = 'F10'}}, down = wsRepHumanHelGoFloat},
}
}

-- helicopter tower
WC['TowerHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepRequestEnginesLaunch},
{combos = {{key = 'F2'}}, down = wsRepHumanRequestTaxiToRunway},
{combos = {{key = 'F3'}}, down = wsRepHumanRequestControlHover},
{combos = {{key = 'F4'}}, down = wsRepHumanRequestTakeOff},
{combos = {{key = 'F5'}}, down = wsRepHumanInbound},
{combos = {{key = 'F6'}}, down = wsRepHumanRequestLanding},
{combos = {{key = 'F7'}}, down = wsRepHumanRequestAzimuth},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort},
}
}


-- helicopter maintenance
WC['MaintenanceHel'] = {
keyCommands = {
{combos = {{key = 'F1'}} , down = wsRepHumanReloading},
{combos = {{key = 'F2'}} , down = wsRepHumanRefueling},
{combos = {{key = 'F3'}} , down = wsRepHumanReplacement},
{combos = {{key = 'F4'}} , down = wsRepHumanGroundElecPower},
{combos = {{key = 'F5'}} , down = wsRepHumanPowerSourceSelect},
{combos = {{key = 'F6'}} , down = wsRepNull},
{combos = {{key = 'F7'}} , down = wsRepNull},
{combos = {{key = 'F8'}} , down = wsRepNull},
{combos = {{key = 'F9'}} , down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort},
}
}

WC['Maintenance'] = {
keyCommands = {
{combos = {{key = 'F1'}} , down = wsRepHumanReloading},--selecting preset
{combos = {{key = 'F2'}} , down = wsRepHumanHel_2A42}, --guns only
{combos = {{key = 'F3'}} , down = wsRepHumanDefaultLoad},--payload from mission
{combos = {{key = 'F4'}} , down = wsRepHumanRefueling},
{combos = {{key = 'F5'}} , down = wsRepNull},
{combos = {{key = 'F6'}} , down = wsRepNull},
{combos = {{key = 'F7'}} , down = wsRepNull},
{combos = {{key = 'F8'}} , down = wsRepNull},
{combos = {{key = 'F9'}} , down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort},
}
}

WC['RearmingPlanes'] = {
keyCommands = {
{combos = {{key = 'F1'}},  down = 4501},
{combos = {{key = 'F2'}},  down = 4502},
{combos = {{key = 'F3'}},  down = 4503},
{combos = {{key = 'F4'}},  down = 4504},
{combos = {{key = 'F5'}},  down = 4505},
{combos = {{key = 'F6'}},  down = 4506},
{combos = {{key = 'F7'}},  down = 4507},
{combos = {{key = 'F8'}},  down = 4508},
{combos = {{key = 'F9'}},  down = 4509},
{combos = {{key = 'F10'}}, down = 4510},
{combos = {{key = 'Num1'}}, down = 4511},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort}}
}



-- reconnaissance for helicopter
WC['ReconnaissanceHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHelReconnaissance_01},
{combos = {{key = 'F2'}}, down = wsRepHumanHelReconnaissance_02},
{combos = {{key = 'F3'}}, down = wsRepHumanHelReconnaissance_03},
{combos = {{key = 'F4'}}, down = wsRepHumanHelReconnaissance_05},
{combos = {{key = 'F5'}}, down = wsRepHumanHelReconnaissance_08},
{combos = {{key = 'F6'}}, down = wsRepHumanHelReconnaissance_10},
{combos = {{key = 'F7'}}, down = wsRepHumanMakeReconnaissance},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
}
}

-- reloading ferry commands
WC['ReloadingFerryHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = 4551},
{combos = {{key = 'F2'}}, down = 4552},
{combos = {{key = 'F3'}}, down = 4553},
{combos = {{key = 'F4'}}, down = 4554},
{combos = {{key = 'F5'}}, down = 4555},
{combos = {{key = 'F6'}}, down = 4556},
{combos = {{key = 'F7'}}, down = 4557},
{combos = {{key = 'F8'}}, down = 4558},
{combos = {{key = 'F9'}}, down = 4559},
{combos = {{key = 'F10'}}, down = 4560},
{combos = {{key = 'Num 1'}}, down = 4561},
{combos = {{key = 'Num 2'}}, down = 4562},
{combos = {{key = 'Num 3'}}, down = 4563},
{combos = {{key = 'Num 4'}}, down = 4564},
{combos = {{key = 'Num 5'}}, down = 4565},
{combos = {{key = 'Num 6'}}, down = 4566},
{combos = {{key = 'Num 7'}}, down = 4567},
{combos = {{key = 'Num 8'}}, down = 4568},
{combos = {{key = 'Num 9'}}, down = 4569},
{combos = {{key = 'Num 0'}}, down = 4570},
{combos = {{key = '&'}}, down = 4571},
{combos = {{key = ''}}, down = 4572}, --pb
{combos = {{key = '\"'}}, down = 4573},
{combos = {{key = '\''}}, down = 4574},
{combos = {{key = '('}}, down = 4575},
{combos = {{key = '-'}}, down = 4576},
{combos = {{key = ''}}, down = 4577}, --pb
{combos = {{key = '_'}}, down = 4578},
{combos = {{key = ''}}, down = 4579}, --pb
{combos = {{key = ''}}, down = 4580}, -- pb 
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort},
}
}

-- Work on remote target commands
WC['ReloadingRemoteHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_2xEFT_12xATGM_2A42},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_2xEFT_2xB8V20A_2A42},
{combos = {{key = 'F3'}}, down = wsRepHumanHel_2xEFT_2xUB13_2A42},
{combos = {{key = 'F4'}}, down = wsRepHumanHel_2xEFT_2xUPK23_2A42},
{combos = {{key = 'F5'}}, down = wsRepHumanHel_2xEFT_2xKMGU_AP_2A42},
{combos = {{key = 'F6'}}, down = wsRepHumanHel_2xEFT_2xKMGU_AT_2A42},
{combos = {{key = 'F7'}}, down = wsRepHumanHel_2xEFT_2xFAB_250_2A42},
{combos = {{key = 'F8'}}, down = wsRepHumanHel_2xEFT_2xFAB_500_2A42},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- Antitank task commands
WC['ReloadingAntitankHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_12xATGM_2xB8V20A_2A42},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_12xATGM_2xUB13_2A42},
{combos = {{key = 'F3'}}, down = wsRepHumanHel_12xATGM_2xUPK23_2A42},
{combos = {{key = 'F4'}}, down = wsRepHumanHel_12xATGM_2xKMGU_AT_2A42},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- Fire support and work on ground target commands
WC['ReloadingFireSupportHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_4xB8V20A_2A42},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_4xUB13_2A42},
{combos = {{key = 'F3'}}, down = wsRepHumanHel_4xUPK23_2A42},
{combos = {{key = 'F4'}}, down = wsRepHumanHel_4xKMGU_AP_2A42},
{combos = {{key = 'F5'}}, down = wsRepHumanHel_4xKMGU_AT_2A42},
{combos = {{key = 'F6'}}, down = wsRepHumanHel_4xFAB_250_2A42},
{combos = {{key = 'F7'}}, down = wsRepHumanHel_4xFAB_500_2A42},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- Light load commands
WC['ReloadingLightLoadHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_6xATGM_2A42},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_12xATGM_2A42},
{combos = {{key = 'F3'}}, down = wsRepHumanHel_2xB8V20A_2A42},
{combos = {{key = 'F4'}}, down = wsRepHumanHel_2xUB13_2A42},
{combos = {{key = 'F5'}}, down = wsRepHumanHel_2xUPK23_2A42},
{combos = {{key = 'F6'}}, down = wsRepHumanHel_2xKMGU_AP_2A42},
{combos = {{key = 'F7'}}, down = wsRepHumanHel_2xKMGU_AT_2A42},
{combos = {{key = 'F8'}}, down = wsRepHumanHel_2xFAB_250_2A42},
{combos = {{key = 'F9'}}, down = wsRepHumanHel_2xFAB_500_2A42},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- Light load commands
WC[5550] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_6xATGM_2A42},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_12xATGM_2A42},
{combos = {{key = 'F3'}}, down = wsRepHumanHel_2xB8V20A_2A42},
{combos = {{key = 'F4'}}, down = wsRepHumanHel_2xUB13_2A42},
{combos = {{key = 'F5'}}, down = wsRepHumanHel_2xUPK23_2A42},
{combos = {{key = 'F6'}}, down = wsRepHumanHel_2xKMGU_AP_2A42},
{combos = {{key = 'F7'}}, down = wsRepHumanHel_2xKMGU_AT_2A42},
{combos = {{key = 'F8'}}, down = wsRepHumanHel_2xFAB_250_2A42},
{combos = {{key = 'F9'}}, down = wsRepHumanHel_2xFAB_500_2A42},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
}
}

-- 4-th layer

-- Light load commands
WC['RefuelingHel'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanHel_Refueling_25},
{combos = {{key = 'F2'}}, down = wsRepHumanHel_Refueling_50},
{combos = {{key = 'F3'}}, down = wsRepHumanHel_Refueling_Maximum_Combat},
{combos = {{key = 'F4'}}, down = wsRepHumanHel_Refueling_Maximum_Ferry},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort}
}
}


WC['Refueling'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down  = wsRepHumanHel_Refueling_25},
{combos = {{key = 'F2'}}, down  = wsRepHumanHel_Refueling_50},
{combos = {{key = 'F3'}}, down  = wsRepHumanHel_Refueling_Maximum_Combat},
{combos = {{key = 'F4'}}, down  = wsRepHuman_Refueling_Start},
{combos = {{key = 'F5'}}, down  = wsRepHuman_Refueling_End},
{combos = {{key = 'F6'}}, down  = wsRepNull},
{combos = {{key = 'F7'}}, down  = wsRepNull},
{combos = {{key = 'F8'}}, down  = wsRepNull},
{combos = {{key = 'F9'}}, down  = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort}
}
}

-- ground elec power on off
WC['GroundElectPower'] = {
keyCommands = {
{combos = {{key = 'F1'}}, down = wsRepHumanGroundElecPowerOn},
{combos = {{key = 'F2'}}, down = wsRepHumanGroundElecPowerOff},
{combos = {{key = 'F3'}}, down = wsRepNull},
{combos = {{key = 'F4'}}, down = wsRepNull},
{combos = {{key = 'F5'}}, down = wsRepNull},
{combos = {{key = 'F6'}}, down = wsRepNull},
{combos = {{key = 'F7'}}, down = wsRepNull},
{combos = {{key = 'F8'}}, down = wsRepNull},
{combos = {{key = 'F9'}}, down = wsRepNull},
{combos = {{key = 'F10'}}, down = wsRepNull},
{combos = {{key = 'F11'}}, down = wsRepHumanBack},
{combos = {{key = 'F12'}}, down = wsRepHumanAbort}
}
}



